Edit

Share via


Domains - List Domain Workspaces

Returns a list of the workspaces assigned to the specified domain.
This API supports pagination.

Permissions

The caller must be a Fabric administrator.

Required Delegated Scopes

Tenant.Read.All or Tenant.ReadWrite.All.

Limitations

Maximum 25 requests per one minute per principal.

Microsoft Entra supported identities

This API supports the Microsoft identities listed in this section.

Identity Support
User Yes
Service principal and Managed identities Yes

Interface

GET https://api.fabric.microsoft.com/v1/admin/domains/{domainId}/workspaces
GET https://api.fabric.microsoft.com/v1/admin/domains/{domainId}/workspaces?continuationToken={continuationToken}

URI Parameters

Name In Required Type Description
domainId
path True

string (uuid)

The domain ID.

continuationToken
query

string

A token for retrieving the next page of results.

Responses

Name Type Description
200 OK

DomainWorkspaces

Request completed successfully.

429 Too Many Requests

ErrorResponse

The service rate limit was exceeded. The server returns a Retry-After header indicating, in seconds, how long the client must wait before sending additional requests.

Headers

Retry-After: integer

Other Status Codes

Common error codes:

  • UnknownError - An error occurred.

Examples

Get all domain workspaces example

Sample request

GET https://api.fabric.microsoft.com/v1/admin/domains/97dd1d38-a4c6-41ed-bc4f-1e383f8ddd0f/workspaces

Sample response

{
  "value": [
    {
      "id": "e281785b-5608-41ac-a1a1-78b48b95b825",
      "displayName": "Mark8ProjectTeam"
    },
    {
      "id": "24402490-9519-48b9-9d51-b2db4095a56b",
      "displayName": "Team southern region"
    },
    {
      "id": "46f8ccd7-a209-4e12-978f-56ef3c44a68c",
      "displayName": "SalesAndMarketing"
    }
  ],
  "continuationToken": null,
  "continuationUri": null
}

Definitions

Name Description
DomainWorkspace

Represents a workspace in a domain.

DomainWorkspaces

A response wrapper for a list of all the workspaces assigned to a domain with a continuous token.

ErrorRelatedResource

The error related resource details object.

ErrorResponse

The error response.

ErrorResponseDetails

The error response details.

DomainWorkspace

Represents a workspace in a domain.

Name Type Description
displayName

string

The name of the workspace.

id

string (uuid)

The workspace ID.

DomainWorkspaces

A response wrapper for a list of all the workspaces assigned to a domain with a continuous token.

Name Type Description
continuationToken

string

The token for the next result set batch. If there are no more records, it's removed from the response.

continuationUri

string

The URI of the next result set batch. If there are no more records, it's removed from the response.

value

DomainWorkspace[]

The list of all the workspaces assigned to the domain.

ErrorRelatedResource

The error related resource details object.

Name Type Description
resourceId

string

The resource ID that's involved in the error.

resourceType

string

The type of the resource that's involved in the error.

ErrorResponse

The error response.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

message

string

A human readable representation of the error.

moreDetails

ErrorResponseDetails[]

List of additional error details.

relatedResource

ErrorRelatedResource

The error related resource details.

requestId

string (uuid)

ID of the request associated with the error.

ErrorResponseDetails

The error response details.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

message

string

A human readable representation of the error.

relatedResource

ErrorRelatedResource

The error related resource details.